GDB (xrefs)

Functions
mi-cmd-catch.c File Reference
`#include "defs.h"`
`#include "arch-utils.h"`
`#include "breakpoint.h"`
`#include "ada-lang.h"`
`#include "mi-cmds.h"`
`#include "mi-getopt.h"`
`#include "mi-cmd-break.h"`

Go to the source code of this file.

## Functions
void | mi_cmd_catch_assert (const char *cmd, char *argv[], int argc)
void | mi_cmd_catch_exception (const char *cmd, char *argv[], int argc)
static void | mi_catch_load_unload (int load, char *argv[], int argc)
void | mi_cmd_catch_load (const char *cmd, char *argv[], int argc)
void | mi_cmd_catch_unload (const char *cmd, char *argv[], int argc)

## Function Documentation

## ◆ mi_catch_load_unload()

static void mi_catch_load_unload | ( | int | load,
|  | char * | argv[],
|  | int | argc
| ) |  |
| static

Definition at line 173 of file mi-cmd-catch.c.

References _, add_solib_catchpoint(), gdb::argv, error(), mi_getopt(), and setup_breakpoint_reporting().

Referenced by mi_cmd_catch_load(), and mi_cmd_catch_unload().

## ◆ mi_cmd_catch_assert()

void mi_cmd_catch_assert | ( | const char * | cmd,
|  | char * | argv[],
|  | int | argc
| ) |  |

Definition at line 32 of file mi-cmd-catch.c.

References _, ada_catch_assert, gdb::argv, create_ada_exception_catchpoint(), error(), get_current_arch(), mi_getopt(), and setup_breakpoint_reporting().

## ◆ mi_cmd_catch_exception()

void mi_cmd_catch_exception | ( | const char * | cmd,
|  | char * | argv[],
|  | int | argc
| ) |  |

Definition at line 93 of file mi-cmd-catch.c.

References _, ada_catch_exception, ada_catch_exception_unhandled, gdb::argv, create_ada_exception_catchpoint(), error(), get_current_arch(), mi_getopt(), and setup_breakpoint_reporting().

## ◆ mi_cmd_catch_load()

void mi_cmd_catch_load | ( | const char * | cmd,
|  | char * | argv[],
|  | int | argc
| ) |  |

Definition at line 223 of file mi-cmd-catch.c.

References gdb::argv, and mi_catch_load_unload().

## ◆ mi_cmd_catch_unload()

void mi_cmd_catch_unload | ( | const char * | cmd,
|  | char * | argv[],
|  | int | argc
| ) |  |

Definition at line 232 of file mi-cmd-catch.c.

References gdb::argv, and mi_catch_load_unload().